Subject: undefined errno in libftp
From: [email-masked] (Francisco Javier Diez)

3 Mar 1998 18:11:56 -0800
Message-ID: <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>

Hello,

I am trying to build the Library for ftpd clients (libftp) from Oleg Orel 
in Windows NT ( SP3 ). I built it in Solaris with no problem but when I 
build it in windows NT I get the next error;

FtpLibrary.h:105: field `__errno' declared as a function

There is a struct;

typedef struct/* All structure initialize from edited struct FtpInit */
{
....

int errno;        /* Last error code */  ( FtpLibrary.h:105)

....
}

If I add the next code to the FtpLibrary.h

#ifndef __CYGWIN32__
extern int errno;
#else
#include <errno.h>
#endif

I can build the library, but when I try to build a program I get the next 
message:

FtpLogin.c:70: undefined reference to `errno'

Does anybody know what it happens ?

Thanks in advance

------------------------------------------------------------------------  
-----
 Francisco Javier Diez
 Fundacion TEKNIKER
 Avda. Otaola, 20 Apartado 44
 20600 Eibar, Gipuzkoa Spain
 Tel   : 34 43 206744
 Fax   : 34 43 202757
 mailto: [email-masked]
 WWW   : www.tekniker.es
------------------------------------------------------------------------  
------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".